<?php require_once('Connections/conn.php'); ?>
<?php
session_start();

        $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
   		mysql_select_db($database_conn, $conn);
		mysql_query ("SET NAMES 'utf8'");
		
		$query_Usuarios = "SELECT * FROM usuarios_admin WHERE cedula='$cedula_usuario'";
		$rstUsuarios = mysql_query($query_Usuarios, $conn) or die(mysql_error());
		$row_Usuarios = mysql_fetch_assoc($rstUsuarios);
		$totalRows_Usuarios = mysql_num_rows($rstUsuarios);
		$sede=$row_Usuarios['sede'];
		
		
		
		$query_rstCarreras = "SELECT id_carrera, nombre_carrera FROM carreras where status='ACTIVA' ORDER BY nombre_carrera";
		$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
		$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
		$totalRows_rstCarreras = mysql_num_rows($rstCarreras);
		
		$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes WHERE codigo='$sede'";
		$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
		$row_rstSede = mysql_fetch_assoc($rstSede);
		$totalRows_rstSede = mysql_num_rows($rstSede);
			
		$query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo FROM periodos WHERE status='ABIERTO' ORDER BY periodos.id_periodo desc";
		$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
		$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
		$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);
		
	
	
		$query_rstSecciones = "SELECT DISTINCT secciones.id_seccion FROM secciones";
		$rstSecciones = mysql_query($query_rstSecciones, $conn) or die(mysql_error());
		$row_rstSecciones = mysql_fetch_assoc($rstSecciones);
		$totalRows_rstSecciones = mysql_num_rows($rstSecciones);


  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- oferta académica</title>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<script src="jquery.min.js" type="text/javascript"></script>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">
<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2>Oferta Acad&eacute;mica </h2></td></tr>
<td class="hr">Todos los datos son obligatorios </td>
</table>
<form name="addOferta" id="addOferta"  enctype="multipart/form-data" action="oferta_academica.php?a=reset"  method="post" onSubmit="return validar_datos()">
  <table width="71%" border="0" align="center" id="carga" cellpadding="1" cellspacing="15" style="border:1px solid #ccc;">
    <tr>
      <td width="74"><div align="right">Programa:</div></td>
      <td width="503"><select name="id_carrera" id="id_carrera" style="width:580px">
	  <option value="0">Seleccione...</option>
        <?php
do {  
?>
        <option value="<?php echo $row_rstCarreras['id_carrera']?>"><?php echo $row_rstCarreras['nombre_carrera']?>---><?php echo $row_rstCarreras['id_carrera']?></option>
        <?php
} while ($row_rstCarreras = mysql_fetch_assoc($rstCarreras));
  $rows = mysql_num_rows($rstCarreras);
  if($rows > 0) {
      mysql_data_seek($rstCarreras, 0);
	  $row_rstCarreras = mysql_fetch_assoc($rstCarreras);
  }
?>
      </select></td>
    </tr>
    <tr>
      <td><div align="right">Sede:</div></td>
      <td><label>
        <select name="sede" id="sede">
		<option value="0">Seleccione...</option>
          <?php
do {  
?>
          <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
          <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?>
        </select></label>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Per&iacute;odo:&nbsp;&nbsp;&nbsp;
        <label><select name="id_periodo" id="id_periodo">
		<option value="0">Seleccione...</option>
          <?php
do {  
?>
          <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?></option>
          <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
        </select>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Semestre: </div></td>
      <td><select name="semestre" id="semestre">
	    <option value="0">Seleccione...</option>
        <option value="1">1</option>
        <option value="2">2</option>
        <option value="3">3</option>
        <option value="4">4</option>
        <option value="5">5</option>
        <option value="6">6</option>
        <option value="7">7</option>
        <option value="8">8</option>
        <option value="9">9</option>
        <option value="10">10</option>
      </select>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Secci&oacute;n :
<select name="id_seccion" id="id_seccion">
  <option value="0">Seleccione...</option>
  <option value="A">A</option>
  <option value="B">B</option>
  <option value="C">C</option>
  <option value="D">D</option>
  <option value="E">E</option>
  <option value="1">1</option>
  <option value="2">2</option>
  <option value="3">3</option>
  <option value="4">4</option>
  <option value="5">5</option>
</select></td>
    </tr>
    
    <tr>
      <td height="53" colspan="2"><div align="center">
        <p><input type="submit" name="action" value="Ofertar">
          </label>
      </p>
        </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	</script>
	
	<script type="text/javascript">
	function validar_datos()
	{
	 	if(document.addOferta.id_carrera.value==0){
			alert("El campo <<Programa>> es obligatorio");
			document.addOferta.id_carrera.focus();
			return false;
			}
		if(document.addOferta.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.addOferta.sede.focus();
			return false;
			}
		if(document.addOferta.id_periodo.value==0){
			alert("El campo <<Período>> es obligatorio");
			document.addOferta.id_periodo.focus();
			return false;
			}	
		if(document.addOferta.semestre.value==0){
			alert("El campo <<Semestre o Módulo>> es obligatorio");
			document.addOferta.semestre.focus();
			return false;
			}	
		if(document.addOferta.id_seccion.value==0){
			alert("El campo <<Sección>> es obligatorio");
			document.addOferta.id_seccion.focus();
			return false;
			}	
			return true;
	}
</script>
 <?php


mysql_free_result($rstSede);

mysql_free_result($rstPeriodos);



mysql_free_result($rstSecciones);

mysql_free_result($rstCarreras);
?>

<script type="text/javascript">
 function cargar_notas(profesor,periodo,seccion,sede,materia,carrera)
  {
    window.document.location="cargar_notas.php?profesor="+profesor+"&periodo="+periodo+"&seccion="+seccion+"&sede="+sede+"&materia="+materia+"&carrera="+carrera+"&a=reset";
   }
</script>
